edu.whs.spin2018.baoapp.views.lobby

## Class HerausforderungEingehendDialog

- java.lang.Object
- - android.support.v4.app.Fragment
  - - android.support.v4.app.DialogFragment
    - - edu.whs.spin2018.baoapp.views.lobby.HerausforderungsDialog
      - - edu.whs.spin2018.baoapp.views.lobby.HerausforderungEingehendDialog

- All Implemented Interfaces:
    android.arch.lifecycle.LifecycleOwner, android.arch.lifecycle.ViewModelStoreOwner, android.content.ComponentCallbacks, android.content.DialogInterface.OnCancelListener, android.content.DialogInterface.OnDismissListener, android.view.View.OnCreateContextMenuListener

      public class HerausforderungEingehendDialog
      extends HerausforderungsDialog

  DialogFragment, welches eine eingehende Herausforderung anzeigt.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class edu.whs.spin2018.baoapp.views.lobby.HerausforderungsDialog

      `HerausforderungsDialog.OnActionHappenedListener`

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `android.support.v4.app.Fragment.InstantiationException, android.support.v4.app.Fragment.SavedState`

  - ### Field Summary

    - ### Fields inherited from class edu.whs.spin2018.baoapp.views.lobby.HerausforderungsDialog

      `DIALOG_SCHLIESSEN_VERZOEGERUNG, TAG`

    - ### Fields inherited from class android.support.v4.app.DialogFragment

      `STYLE_NO_FRAME, STYLE_NO_INPUT, STYLE_NO_TITLE, STYLE_NORMAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HerausforderungEingehendDialog()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `gibGegnerUUID()`
    `static HerausforderungEingehendDialog` | `newInstance(java.lang.String benutzername, java.lang.String uuid)` Use this factory method to create a new instance of this fragment using the provided parameters.
    `void` | `onCreate(android.os.Bundle savedInstanceState)`
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)` Wird statt onCreateDialog verwendet, da das Layout des Dialogs komplett aus einer XML Datei geladen wird.
    `void` | `zeigeHerausforderungAngenommen()`
    `void` | `zeigeHerausforderungBeendet()` Zeigt an, dass die aktuelle Herausforderung abgebrochen oder abgelehnt wurde.

    - ### Methods inherited from class edu.whs.spin2018.baoapp.views.lobby.HerausforderungsDialog

      `gibOnActionHappenedListener, onCancel, onDestroy, onDismiss, onPause, onSaveInstanceState, setzeOnActionHappenedListener, show`

    - ### Methods inherited from class android.support.v4.app.DialogFragment

      `dismiss, dismissAllowingStateLoss, getDialog, getShowsDialog, getTheme, isCancelable, onActivityCreated, onAttach, onCreateDialog, onDestroyView, onDetach, onGetLayoutInflater, onStart, onStop, setCancelable, setShowsDialog, setStyle, setupDialog, show, showNow`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityResult, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroyOptionsMenu, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireContext, requireFragmentManager, requireHost, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HerausforderungEingehendDialog

          public HerausforderungEingehendDialog()

  - ### Method Detail

    - #### newInstance

          public static HerausforderungEingehendDialog newInstance(java.lang.String benutzername,
                                                                   java.lang.String uuid)

      Use this factory method to create a new instance of this fragment using the provided parameters.
      Parameters:
        `benutzername` - Benutzername des Herausforderers
        `uuid` - UUID des Herausforderers
      Returns:
        A new instance of fragment HerausforderungEingehendDialog.

    - #### onCreate

          public void onCreate(android.os.Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `HerausforderungsDialog`

    - #### onCreateView

          @Nullable
          public android.view.View onCreateView(@NonNull
                                                           android.view.LayoutInflater inflater,
                                                           @Nullable
                                                           android.view.ViewGroup container,
                                                           @Nullable
                                                           android.os.Bundle savedInstanceState)

      Wird statt onCreateDialog verwendet, da das Layout des Dialogs komplett aus einer XML Datei geladen wird.
      Overrides:
        `onCreateView` in class `android.support.v4.app.Fragment`

    - #### zeigeHerausforderungAngenommen

          public void zeigeHerausforderungAngenommen()

      Specified by:
        `zeigeHerausforderungAngenommen` in class `HerausforderungsDialog`

    - #### zeigeHerausforderungBeendet

          public void zeigeHerausforderungBeendet()

      Description copied from class: `HerausforderungsDialog`
      Zeigt an, dass die aktuelle Herausforderung abgebrochen oder abgelehnt wurde.
      Specified by:
        `zeigeHerausforderungBeendet` in class `HerausforderungsDialog`

    - #### gibGegnerUUID

          public java.lang.String gibGegnerUUID()

      Specified by:
        `gibGegnerUUID` in class `HerausforderungsDialog`